#import "~/graphql_shared/fragments/page_info.fragment.graphql"

query userWorkspacesList($first: Int, $before: String, $after: String) {
  currentUser {
    id
    workspaces(first: $first, before: $before, after: $after) {
      nodes {
        id
        name
        namespace
        projectId
        desiredState
        actualState
        url
        devfileRef
        devfilePath
        createdAt
      }
      pageInfo {
        ...PageInfo
      }
    }
  }
}
